var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as proxy from '../proxy';
import ServiceBase from '../base';
import ActivityPageProxy from '../proxies/activity-page-proxy';
var ACTIVITY = '/events/search';
var ActivityService = /** @class */ (function (_super) {
    __extends(ActivityService, _super);
    function ActivityService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.getActivityPage = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: "/accounts/" + data.accountId + "/projects/" + data.projectId + ACTIVITY + "?pageSize=" + data.pageSize + "&pageNumber=" + data.pageNumber,
                data: data.data,
            });
            return proxy.httpResultProxy(promise, ActivityPageProxy);
        };
        return _this;
    }
    return ActivityService;
}(ServiceBase));
export { ActivityService };
//# sourceMappingURL=activity.js.map