var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as proxy from '../proxy';
import ServiceBase from '../base';
var GET_PROJECT = '/projects';
var GET_FILES = '/file';
var GET_VERSION = '/versions';
var DownloadService = /** @class */ (function (_super) {
    __extends(DownloadService, _super);
    function DownloadService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.downloadFile = function (options) {
            var promise = _super.prototype.get.call(_this, {
                url: GET_PROJECT +
                    ("/" + options.projectId) +
                    GET_FILES +
                    ("/" + options.detailId) +
                    GET_VERSION +
                    ("/" + options.activeVersion),
            });
            return proxy.httpResultProxy(promise);
        };
        return _this;
    }
    return DownloadService;
}(ServiceBase));
export { DownloadService };
//# sourceMappingURL=download.js.map