import { AccountModel } from '../model/account';
var AccountModelProxy = /** @class */ (function () {
    function AccountModelProxy(responseData) {
        this.accountModel = new AccountModel();
        var data = responseData.data || responseData;
        Object.assign(this.accountModel, data);
    }
    AccountModelProxy.prototype.getModel = function () {
        return this.accountModel;
    };
    return AccountModelProxy;
}());
export default AccountModelProxy;
//# sourceMappingURL=account-model-proxy.js.map