import { AccountPageModel, PublicAccountInfoModel } from '../model/account';
var AccountPageProxy = /** @class */ (function () {
    function AccountPageProxy(responesData) {
        this.accountPage = new AccountPageModel();
        var data = responesData;
        Object.assign(this.accountPage, data);
    }
    AccountPageProxy.prototype.getModel = function () {
        return this.accountPage;
    };
    return AccountPageProxy;
}());
var PublicAccountInfoProxy = /** @class */ (function () {
    function PublicAccountInfoProxy(responseData) {
        this.publicAccountInfo = new PublicAccountInfoModel();
        var data = responseData.data || responseData;
        Object.assign(this.publicAccountInfo, data);
    }
    PublicAccountInfoProxy.prototype.getModel = function () {
        return this.publicAccountInfo;
    };
    return PublicAccountInfoProxy;
}());
export { AccountPageProxy, PublicAccountInfoProxy };
//# sourceMappingURL=account-page-proxy.js.map