import { AccountEmailInscribe, AccountProfileModel } from '../model/account';
var AccountProfileProxy = /** @class */ (function () {
    function AccountProfileProxy(responseData) {
        this.accountProfileModel = new AccountProfileModel();
        var data = responseData.data || responseData;
        Object.assign(this.accountProfileModel, data);
    }
    AccountProfileProxy.prototype.getModel = function () {
        return this.accountProfileModel;
    };
    return AccountProfileProxy;
}());
var AccountEmailInscribeProxy = /** @class */ (function () {
    function AccountEmailInscribeProxy(responseData) {
        this.emailInscribe = new AccountEmailInscribe();
        var data = responseData.data || responseData;
        Object.assign(this.emailInscribe, data);
    }
    AccountEmailInscribeProxy.prototype.getModel = function () {
        return this.emailInscribe;
    };
    return AccountEmailInscribeProxy;
}());
export { AccountProfileProxy, AccountEmailInscribeProxy };
//# sourceMappingURL=account-profile-proxy.js.map