import { AddinListModel, AddinMainBarItemModel } from '../model/addins';
var AddinsListProxy = /** @class */ (function () {
    function AddinsListProxy(responseData) {
        this.addins = new AddinListModel();
        var data = responseData.data || responseData;
        Object.assign(this.addins, data);
    }
    AddinsListProxy.prototype.getModel = function () {
        return this.addins;
    };
    return AddinsListProxy;
}());
var AddinsProxy = /** @class */ (function () {
    function AddinsProxy(responseData) {
        this.addins = new AddinMainBarItemModel();
        var data = responseData.data || responseData;
        Object.assign(this.addins, data);
    }
    AddinsProxy.prototype.getModel = function () {
        return this.addins;
    };
    return AddinsProxy;
}());
export { AddinsListProxy, AddinsProxy };
//# sourceMappingURL=addins-proxy.js.map