import { BoxModel, BoxProfileModel } from '../model/box';
var BoxProxy = /** @class */ (function () {
    function BoxProxy(responseData) {
        this.boxModel = new BoxModel();
        var data = responseData.data || responseData;
        Object.assign(this.boxModel, data);
    }
    BoxProxy.prototype.getModel = function () {
        return this.boxModel;
    };
    return BoxProxy;
}());
var BoxProfileProxy = /** @class */ (function () {
    function BoxProfileProxy(responseData) {
        this.boxProfile = new BoxProfileModel();
        var data = responseData.data || responseData;
        Object.assign(this.boxProfile, data);
    }
    BoxProfileProxy.prototype.getModel = function () {
        return this.boxProfile;
    };
    return BoxProfileProxy;
}());
export { BoxProxy, BoxProfileProxy };
//# sourceMappingURL=box-proxy.js.map