import { CommentModel } from '../model/comment';
var CommentProxy = /** @class */ (function () {
    function CommentProxy(responseData) {
        this.comment = new CommentModel();
        var data = responseData.data || responseData;
        Object.assign(this.comment, data);
    }
    CommentProxy.prototype.getModel = function () {
        return this.comment;
    };
    return CommentProxy;
}());
var CommentArrayProxy = /** @class */ (function () {
    function CommentArrayProxy(responseData) {
        this.comment = [];
        var data = responseData.data || responseData;
        this.comment = data;
    }
    CommentArrayProxy.prototype.getModel = function () {
        return this.comment;
    };
    return CommentArrayProxy;
}());
export { CommentProxy, CommentArrayProxy };
//# sourceMappingURL=comment-proxy.js.map