import { CollectionModel, CollectionPageModel, FileModel, SubscriptionModel, SubscriptionPageModel } from '../model/file';
var FileProxy = /** @class */ (function () {
    function FileProxy(responseData) {
        this.file = new FileModel();
        var data = responseData.data || responseData;
        Object.assign(this.file, data);
    }
    FileProxy.prototype.getModel = function () {
        return this.file;
    };
    return FileProxy;
}());
var SubscriptionProxy = /** @class */ (function () {
    function SubscriptionProxy(responseData) {
        this.subscription = new SubscriptionModel;
        var data = responseData.data || responseData;
        Object.assign(this.subscription, data);
    }
    SubscriptionProxy.prototype.getModel = function () {
        return this.subscription;
    };
    return SubscriptionProxy;
}());
var SubscriptionPageProxy = /** @class */ (function () {
    function SubscriptionPageProxy(responseData) {
        this.subscriptionPage = new SubscriptionPageModel;
        var data = responseData;
        Object.assign(this.subscriptionPage, data);
    }
    SubscriptionPageProxy.prototype.getModel = function () {
        return this.subscriptionPage;
    };
    return SubscriptionPageProxy;
}());
var CollectionProxy = /** @class */ (function () {
    function CollectionProxy(responseData) {
        this.collection = new CollectionModel;
        var data = responseData.data || responseData;
        Object.assign(this.collection, data);
    }
    CollectionProxy.prototype.getModel = function () {
        return this.collection;
    };
    return CollectionProxy;
}());
var CollectionPageProxy = /** @class */ (function () {
    function CollectionPageProxy(responseData) {
        this.collectionPage = new CollectionPageModel;
        var data = responseData;
        Object.assign(this.collectionPage, data);
    }
    CollectionPageProxy.prototype.getModel = function () {
        return this.collectionPage;
    };
    return CollectionPageProxy;
}());
export { FileProxy, SubscriptionProxy, SubscriptionPageProxy, CollectionProxy, CollectionPageProxy };
//# sourceMappingURL=file-proxy.js.map