import { ResumesModel, UserModel } from '../model/user';
var UserModelProxy = /** @class */ (function () {
    function UserModelProxy(responseData) {
        this.userModel = new UserModel();
        var data = responseData.data || responseData;
        Object.assign(this.userModel, data);
    }
    UserModelProxy.prototype.getModel = function () {
        return this.userModel;
    };
    return UserModelProxy;
}());
var UserResumesModelProxy = /** @class */ (function () {
    function UserResumesModelProxy(responseData) {
        this.resumesModel = new ResumesModel();
        var data = responseData.data || responseData;
        Object.assign(this.resumesModel, data);
    }
    UserResumesModelProxy.prototype.getModel = function () {
        return this.resumesModel;
    };
    return UserResumesModelProxy;
}());
export { UserResumesModelProxy, UserModelProxy };
//# sourceMappingURL=user-model-proxy.js.map