import { AxiosRequestConfig } from 'axios';
interface IRequestConfigOptions {
    params?: any;
    headers?: any;
    timeout?: number;
    cancelToken?: (message?: any) => void;
    onUploadProgress?: (e: any) => void;
}
export interface IRequestOptions {
    url: string;
    params?: any;
    data?: any;
    headers?: any;
    timeout?: number;
    cancelToken?: (message?: any) => void;
    onUploadProgress?: (e: any) => void;
}
export default class ServiceBase {
    axios: any;
    serviceContext: any;
    requestTimeout: any;
    constructor(serviceContext: any);
    getRequestConfigWithAuth: (options: IRequestConfigOptions) => AxiosRequestConfig;
    get(options: IRequestOptions): any;
    getWithoutToken(options: IRequestOptions): any;
    postWithoutToken(options: IRequestOptions): any;
    putWithoutToken(options: IRequestOptions): any;
    post(options: IRequestOptions): any;
    put(options: IRequestOptions): any;
    delete(options: IRequestOptions): any;
    patch(options: IRequestOptions): any;
}
export {};
//# sourceMappingURL=base.d.ts.map