import { PageModel } from './common';
declare class RoleModel {
    clientId: string;
    createBy: string;
    defaultRole: boolean;
    description: string;
    enabled: boolean;
    id: string;
    name: string;
    namespace: string;
    type: number;
    createAt: number;
    updateAt: number;
    updateBy: string;
}
declare class PermissionGroupModel {
    addinId: string;
    addinKeyPrefix: string;
    alias: string;
    enabled: boolean;
    location: number;
    name: string;
    order: number;
    type: number;
    url: string;
    permissions: PermissionModel;
}
declare class PermissionModel {
    createAt: number;
    createBy: string;
    description: string;
    id: string;
    label: string;
    level: number;
    name: string;
    updateAt: number;
    updateBy: number;
}
declare class FolderPermissionModel {
    actorUrn: string;
    createAt: number;
    id: string;
    inheriting: boolean;
    parentPermissionKeys: string;
    permissionCatalogKeys: string;
    permissionKeys: string[];
    resourceUrn: string;
    updateAt: number;
}
declare class FolderPermissionPageModel extends PageModel {
    data: FolderItemModel;
}
declare class FolderItemModel {
    items: FolderPermissionModel[];
}
export { RoleModel, PermissionGroupModel, FolderPermissionModel, FolderPermissionPageModel };
//# sourceMappingURL=auth.d.ts.map