declare class BoxModel {
    id: string;
    companyName: string;
    country: string;
    province: string;
    city: string;
    district: string;
    address: string;
    contact: string;
    contactNumber: string;
    contactEmail: string;
    remark: string;
    profile: BoxProfileModel;
    identity: BoxIdentityModel;
    mailConfig: BoxMailModel;
    mailInscribe: BoxMailInscribe;
    createAt: string;
    updateAt: string;
}
declare class BoxMailModel {
    mailEncode: string;
    mailHost: string;
    mailPassword: string;
    mailUsername: string;
    updateAt: number;
}
declare class BoxProfileModel {
    id: string;
    shortName: string;
    title: string;
    logoLink: string;
    logoHyperLink: string;
    logoAlt: string;
    loginPanelAnchor: string;
    userMenuSettings: string;
}
declare class BoxIdentityModel {
    clientId: string;
    clientSecret: string;
    domainName: string;
    updateAt: string;
}
declare class BoxMailInscribe {
    inscribe: string;
    updateAt: number;
}
export { BoxModel, BoxProfileModel };
//# sourceMappingURL=box.d.ts.map