import { ListModel, PageModel } from './common';
declare class EventPageModel extends PageModel {
    data: EventListModel;
}
declare class EventListModel extends ListModel {
    items: EventModel[];
}
declare class EventModel {
    actor: string;
    operation: string;
    createAt: string;
    targets: EventTargetModel[];
}
declare class EventTargetModel {
    targetUrn: string;
    targetName: string;
    changes: TargetChangeModel[];
}
declare class TargetChangeModel {
    propertyName: string;
    newValue: string;
    oldValue: string;
}
export { EventPageModel, EventModel };
//# sourceMappingURL=event.d.ts.map