import ProxyInterface from '../proxy-interface';
import { FolderPermissionModel, FolderPermissionPageModel, PermissionGroupModel, RoleModel } from '../model/auth';
declare class RoleProxy implements ProxyInterface<RoleModel> {
    private role;
    constructor(responseData: any);
    getModel(): RoleModel;
}
declare class RolesProxy implements ProxyInterface<RoleModel[]> {
    private roles;
    constructor(responseData: any);
    getModel(): RoleModel[];
}
declare class PermissionProxy implements ProxyInterface<PermissionGroupModel> {
    private permission;
    constructor(responseData: any);
    getModel(): PermissionGroupModel;
}
declare class PermissionsProxy implements ProxyInterface<PermissionGroupModel[]> {
    private permissions;
    constructor(responseData: any);
    getModel(): PermissionGroupModel[];
}
declare class FolderPermissionProxy implements ProxyInterface<FolderPermissionModel> {
    private folderPermission;
    constructor(responseData: any);
    getModel(): FolderPermissionModel;
}
declare class FolderPagePermissionProxy implements ProxyInterface<FolderPermissionPageModel> {
    private folderPermission;
    constructor(responseData: any);
    getModel(): FolderPermissionPageModel;
}
export { RoleProxy, RolesProxy, PermissionProxy, PermissionsProxy, FolderPermissionProxy, FolderPagePermissionProxy };
//# sourceMappingURL=auth-proxy.d.ts.map