import ProxyInterface from '../proxy-interface';
import { FlowGroupModel, FlowGroupPageModel, FlowModel, FlowPageModel, TaskModel, TaskPageModel, ProcessStageModel, TaskStageModel, TaskEnclosureModel, TaskTodoModel, TaskCommentModel } from '../model/task-flow';
declare class TaskPageProxy implements ProxyInterface<TaskPageModel> {
    private taskPage;
    constructor(responseData: any);
    getModel(): TaskPageModel;
}
declare class TaskProxy implements ProxyInterface<TaskModel> {
    private task;
    constructor(responseData: any);
    getModel(): TaskModel;
}
declare class TaskStageProxy implements ProxyInterface<TaskStageModel> {
    private taskStage;
    constructor(responseData: any);
    getModel(): TaskStageModel;
}
declare class TaskEnclosureProxy implements ProxyInterface<TaskEnclosureModel[]> {
    private taskEnclosures;
    constructor(responseData: any);
    getModel(): TaskEnclosureModel[];
}
declare class TaskCommentsProxy implements ProxyInterface<TaskCommentModel[]> {
    private taskComments;
    constructor(responseData: any);
    getModel(): TaskCommentModel[];
}
declare class TaskToDoProxy implements ProxyInterface<TaskTodoModel> {
    private taskToDo;
    constructor(responseData: any);
    getModel(): TaskTodoModel;
}
declare class FlowPageProxy implements ProxyInterface<FlowPageModel> {
    flowPage: FlowPageModel;
    constructor(responseData: any);
    getModel(): FlowPageModel;
}
declare class FlowProxy implements ProxyInterface<FlowModel> {
    flow: FlowModel;
    constructor(responseData: any);
    getModel(): FlowModel;
}
declare class FlowStageProxy implements ProxyInterface<ProcessStageModel> {
    stage: ProcessStageModel;
    constructor(responseData: any);
    getModel(): ProcessStageModel;
}
declare class FlowGroupListProxy implements ProxyInterface<FlowGroupPageModel> {
    flowGroupList: FlowGroupPageModel;
    constructor(responseData: any);
    getModel(): FlowGroupPageModel;
}
declare class FlowGroupProxy implements ProxyInterface<FlowGroupModel> {
    flowGroup: FlowGroupModel;
    constructor(responseData: any);
    getModel(): FlowGroupModel;
}
export { TaskPageProxy, TaskProxy, TaskStageProxy, TaskEnclosureProxy, TaskCommentsProxy, TaskToDoProxy, FlowPageProxy, FlowProxy, FlowStageProxy, FlowGroupListProxy, FlowGroupProxy };
//# sourceMappingURL=task-page-proxy.d.ts.map