var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import ServiceBase from '../base';
import { httpResultProxy } from '../proxy';
var BACK_UP = '/backup';
var BackupService = /** @class */ (function (_super) {
    __extends(BackupService, _super);
    function BackupService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.backupDatabase = function () {
            var promise = _super.prototype.post.call(_this, {
                url: BACK_UP + "/database",
            });
            return httpResultProxy(promise);
        };
        _this.backupFileResource = function () {
            var promise = _super.prototype.post.call(_this, {
                url: BACK_UP + "/fileResource",
            });
            return httpResultProxy(promise);
        };
        _this.getBackupDatabaseStatus = function () {
            var promise = _super.prototype.get.call(_this, {
                url: BACK_UP + "/database/status",
            });
            return httpResultProxy(promise);
        };
        _this.getBackupFileStatus = function () {
            var promise = _super.prototype.get.call(_this, {
                url: BACK_UP + "/fileResource/status",
            });
            return httpResultProxy(promise);
        };
        return _this;
    }
    return BackupService;
}(ServiceBase));
export default BackupService;
//# sourceMappingURL=backup.js.map