var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as proxy from '../proxy';
import ServiceBase from '../base';
var GET_JOB = '/jobs';
var JobService = /** @class */ (function (_super) {
    __extends(JobService, _super);
    function JobService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.createJob = function (options) {
            var promise = _super.prototype.post.call(_this, {
                url: GET_JOB,
                data: options,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getJob = function (options) {
            var promise = _super.prototype.get.call(_this, {
                url: GET_JOB + ("?urn=" + options.urn),
            });
            return proxy.httpResultProxy(promise);
        };
        _this.getBatchJob = function (options) {
            var promise = _super.prototype.post.call(_this, {
                url: GET_JOB + "/batchget",
                data: options,
            });
            return proxy.httpResultProxy(promise);
        };
        return _this;
    }
    return JobService;
}(ServiceBase));
export { JobService };
//# sourceMappingURL=job.js.map