var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as proxy from '../proxy';
import ServiceBase from '../base';
var GET_PROJECT = '/accounts';
var GET_RECYCLE = '/recyclebin';
var RecycleService = /** @class */ (function (_super) {
    __extends(RecycleService, _super);
    function RecycleService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.getProjectRecycle = function (data) {
            var promise = _super.prototype.get.call(_this, {
                url: GET_PROJECT + ("/" + data.accountId + "/projects/" + data.projectId) + GET_RECYCLE,
            });
            return proxy.httpResultProxy(promise);
        };
        _this.recoverProjectRecycle = function (data) {
            var promise = _super.prototype.post.call(_this, {
                url: GET_PROJECT + ("/" + data.accountId + "/projects/" + data.projectId) + GET_RECYCLE + ("/" + data.id),
            });
            return proxy.httpResultProxy(promise);
        };
        _this.deleteProjectRecycle = function (data) {
            var promise = _super.prototype.delete.call(_this, {
                url: GET_PROJECT + ("/" + data.accountId + "/projects/" + data.projectId + "/" + GET_RECYCLE),
                data: data.data,
            });
            return proxy.httpResultProxy(promise);
        };
        return _this;
    }
    return RecycleService;
}(ServiceBase));
export { RecycleService };
//# sourceMappingURL=recycle.js.map