import { ApplicationModel, ApplicationPageModel } from '../model/application';
var ApplicationPageProxy = /** @class */ (function () {
    function ApplicationPageProxy(responseData) {
        this.applicationStatusPage = new ApplicationPageModel();
        var data = responseData;
        Object.assign(this.applicationStatusPage, data);
    }
    ApplicationPageProxy.prototype.getModel = function () {
        return this.applicationStatusPage;
    };
    return ApplicationPageProxy;
}());
var ApplicationProxy = /** @class */ (function () {
    function ApplicationProxy(responseData) {
        this.application = new ApplicationModel();
        var data = responseData.data || responseData;
        Object.assign(this.application, data);
    }
    ApplicationProxy.prototype.getModel = function () {
        return this.application;
    };
    return ApplicationProxy;
}());
export { ApplicationPageProxy, ApplicationProxy };
//# sourceMappingURL=application-status-page-proxy.js.map