import ServiceBase from '../base';
declare class BoxService extends ServiceBase {
    getBoxInfo: () => Promise<{}>;
    updateBoxInfo: (data: any) => Promise<{}>;
    getBoxProfile: () => Promise<{}>;
    postInvoice: (data: any) => Promise<{}>;
    deleteInvoice: (data: any) => Promise<{}>;
    putInvoice: (data: any) => Promise<{}>;
    getInvoiceList: () => Promise<{}>;
    getInvoiceById: (data: any) => Promise<{}>;
    getUserOrderList: () => Promise<{}>;
    /**
     * @获取系统所有用户的订单，供系统管理员使用
     * @memberof BoxService
     */
    getAllUserOrderList: () => Promise<{}>;
    /**
     * @获取指定ID的用户订单
     * @date 2018-09-16
     * @memberof BoxService
     */
    getUserOrder: (data: any) => Promise<{}>;
    updateUserOrder: (data: any) => Promise<{}>;
    /**
     * 创建订单接口
     * createOrder
     */
    createOrder: (data: any) => Promise<{}>;
    getOrderPrice: (data: any) => Promise<{}>;
    /**
     * 获取组织成员的邀请信息,默认根据邀请数倒叙排序
     * getInviteInfo
     */
    getAllInviteInfo: (data: any) => Promise<{}>;
    getDesignatedInviteInfo: (data: any) => Promise<{}>;
    addContacts: (data: any) => Promise<{}>;
    getContactsSupport: () => Promise<{}>;
    getContractRole: () => Promise<{}>;
}
export { BoxService };
//# sourceMappingURL=box.d.ts.map