import { UserBasicInfoModel, UserNameCardModel } from './user';
import { PageModel } from './common';
declare class GroupModel {
    groupName: string;
    id: string;
    linkId: string;
    parentId: string;
}
declare class ProjectMemberModel {
    accountId: string;
    code: string;
    active: boolean;
    avatarLink: string;
    createAt: number;
    description: string;
    groups: GroupModel[];
    id: string;
    note: string;
    projectId: string;
    roleName: string[];
    tag: string;
    state: number;
    updateAt: number;
    userName: string;
    registrationTime: number;
    userBasicInfo: UserBasicInfoModel;
    userNameCard: UserNameCardModel;
}
declare class MemberPageModel extends PageModel {
    data: {
        items: ProjectMemberModel[];
    };
}
export { ProjectMemberModel, MemberPageModel };
//# sourceMappingURL=member.d.ts.map